| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPrefixConfig Class Reference

This is an implementation of iConfigFile that stores an ID string at construction, which it then prepends to all config keys on read/write operations. More...

`#include <csutil/prfxcfg.h>`

Inheritance diagram for csPrefixConfig:

[legend]
List of all members.

## Public Member Functions
| csPrefixConfig (const char *fName, iVFS *vfs, const char *pref, const char *AliasName=0)
| constructor
| ~csPrefixConfig ()
| destructor

## Detailed Description

This is an implementation of iConfigFile that stores an ID string at construction, which it then prepends to all config keys on read/write operations.

You can give an alias name at construction that will be returned instead of the real file name. The real name will still be used for loading and saving.

Definition at line 36 of file prfxcfg.h.

## Constructor & Destructor Documentation

csPrefixConfig::csPrefixConfig | ( | const char * | fName,
|  | iVFS * | vfs,
|  | const char * | pref,
|  | const char * | AliasName = `0` |
| ) |  |  |

constructor

csPrefixConfig::~csPrefixConfig | ( |  | ) |

destructor

The documentation for this class was generated from the following file:

- csutil/prfxcfg.h